%define major 1

%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		gtkhotkey
Version:	0.2.1
Release:	%mkrel 7
Summary:	Platform Independent Hotkey Handling for GTK+ Applications
License:	LGPLv3+
Group:		System/Libraries
Url:		http://launchpad.net/gtkhotkey/
Source:		%{name}-%{version}.tar.bz2
Patch0:		gtkhotkey-glib-2.31.patch
Patch1:		gtkhotkey-0.2.1-linkage.patch
Patch2:		gtkhotkey-0.2.1-automake-1.13.patch
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	gettext-devel

%description
GtkHotkey is simple library offering a platform independent way for GTK+
applications to manage and bind desktop-wide hotkeys.

%package -n %{libname}
Summary:	Platform Independent Hotkey Handling for GTK+ Applications
Group:		System/Libraries

%description -n %{libname}
GtkHotkey is simple library offering a platform independent way for GTK+
applications to manage and bind desktop-wide hotkeys.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	pkgconfig(glib-2.0)
Requires:	pkgconfig(gtk+-2.0)
Requires:	%{libname} = %{EVRD}

%description -n %{develname}
GtkHotkey is simple library offering a platform independent way for GTK+
applications to manage and bind desktop-wide hotkeys.  This package contains
all necessary include files and libraries needed to develop applications that
require these.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std
%__rm -rf %{buildroot}%{_prefix}/doc
%__rm -f %{buildroot}%{_libdir}/libgtkhotkey.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgtkhotkey.so.%{major}{,.*}

%files -n %{develname}
%{_datadir}/gtk-doc/html/gtkhotkey
%{_includedir}/gtkhotkey-1.0/
%{_libdir}/libgtkhotkey.so
%{_libdir}/pkgconfig/*.pc





%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.2.1-7.mga6
+ Revision: 934820
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-6.mga5
+ Revision: 748825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-5.mga5
+ Revision: 680018
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-4.mga4
+ Revision: 505342
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.1-3.mga3
+ Revision: 352882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 malo <malo> 0.2.1-2.mga3
+ Revision: 339924
- add patch for automake-1.13

* Sun Sep 09 2012 malo <malo> 0.2.1-1.mga3
+ Revision: 291418
- fix buildrequires and .la files after import from Mandriva (patch by Ezim)
- imported package gtkhotkey


* Thu Jun 21 2012 Andrey Bondrov <abondrov@mandriva.org> 0.2.1-1
+ Revision: 806640
- Update BuildRequires
- Add patch1 to fix linkage
- imported package gtkhotkey

